Substy Developers
Team

Create team role

Create an agency role with permission keys and SELF or ALL data visibility. The role cannot grant access beyond the current account's authority.

POST/v1/agencies/{agencyId}/team/roles

Create an agency role with permission keys and SELF or ALL data visibility. The role cannot grant access beyond the current account's authority.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/team/roles" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "color": "string",    "permissions": [      "fan:view"    ],    "dataVisibility": "SELF"  }'
{  "data": {    "description": null,    "agencyId": "string",    "permissions": [      "string"    ],    "dataVisibility": "SELF",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "name": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "color": "string",    "isSystem": true,    "isDefault": true  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}